> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://es.megaport.ferndocs.com/es/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://es.megaport.ferndocs.com/es/_mcp/server.

# Obtener Mercados de Facturación

GET https://api.megaport.com/v2/market

Devuelve los mercados de facturación y los detalles de contacto de la cuenta.

Reference: https://es.megaport.ferndocs.com/es/api-reference/account-setup/get-billing-markets

## Servers

- `https://api.megaport.com` (Entorno de producción, default)
- `https://api-staging.megaport.com` (Entorno de pruebas (solo pruebas, se restablece cada 24 horas))

## Response

### 200

Obtener Mercados de Facturación / Obtener Mercados de Facturación

- `data` (list of V2MarketGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2MarketGetResponsesContentApplicationJsonSchemaDataItems

- `active` (boolean, optional)
- `address1` (string, optional)
- `attachInvoiceToEmail` (boolean, optional)
- `billingContactEmail` (string, optional)
- `billingContactName` (string, optional)
- `billingContactPhone` (string, optional)
- `city` (string, optional)
- `country` (string, optional)
- `currencyEnum` (string, optional)
- `estimateInvoice` (double, optional)
- `firstPartyId` (double, optional)
- `id` (double, optional)
- `invoiceTemplate` (string, optional)
- `language` (string, optional)
- `paymentTermInDays` (double, optional)
- `postcode` (string, optional)
- `region` (string, optional)
- `secondPartyId` (double, optional)
- `securedHash` (string, optional)
- `state` (string, optional)
- `stripeAccountPublishableKey` (string, optional)
- `stripeSupportedBankCurrencies` (list of string, optional)
- `supplierName` (string, optional)
- `taxRate` (double, optional)
- `vatExempt` (boolean, optional)
- `wellKnownSupplier` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "active": true,
      "address1": "53 Stone ln",
      "attachInvoiceToEmail": true,
      "billingContactEmail": "bestdemo@megaport.com",
      "billingContactName": "Best Demo",
      "billingContactPhone": "+61 7 12341234",
      "city": "Bedrock",
      "country": "US",
      "currencyEnum": "USD",
      "estimateInvoice": 1012.74,
      "firstPartyId": 1558,
      "id": 5982,
      "invoiceTemplate": "invoice_US",
      "language": "en",
      "paymentTermInDays": 30,
      "postcode": "12345",
      "region": "US",
      "secondPartyId": 41950,
      "securedHash": "1aa368c4ea6637aee56060efb1be1751",
      "state": "FLINT",
      "stripeAccountPublishableKey": "pk_test_8rImVXnpU0Uh7LDyJLpYtYJz",
      "stripeSupportedBankCurrencies": [
        "USD"
      ],
      "supplierName": "Megaport (USA) Inc",
      "taxRate": 0.1,
      "vatExempt": false,
      "wellKnownSupplier": "MEGAPORT_US"
    }
  ],
  "message": "Mercados para la empresa 41950",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/market"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/market';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/market"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/market")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v2/market")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v2/market');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/market");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/market")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```